declare const RatePostSchema: import("yup").ObjectSchema<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
    caller: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    called: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    timeProfile: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    billAfterDuration: import("yup/lib/number").RequiredNumberSchema<number, Record<string, any>>;
    minDuration: import("yup/lib/number").RequiredNumberSchema<number, Record<string, any>>;
    price: import("yup/lib/number").RequiredNumberSchema<number, Record<string, any>>;
    setup: import("yup/lib/number").RequiredNumberSchema<number, Record<string, any>>;
}>, Record<string, any>, import("yup/lib/object").TypeOfShape<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
    caller: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    called: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    timeProfile: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    billAfterDuration: import("yup/lib/number").RequiredNumberSchema<number, Record<string, any>>;
    minDuration: import("yup/lib/number").RequiredNumberSchema<number, Record<string, any>>;
    price: import("yup/lib/number").RequiredNumberSchema<number, Record<string, any>>;
    setup: import("yup/lib/number").RequiredNumberSchema<number, Record<string, any>>;
}>>, import("yup/lib/object").AssertsShape<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
    caller: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    called: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    timeProfile: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    billAfterDuration: import("yup/lib/number").RequiredNumberSchema<number, Record<string, any>>;
    minDuration: import("yup/lib/number").RequiredNumberSchema<number, Record<string, any>>;
    price: import("yup/lib/number").RequiredNumberSchema<number, Record<string, any>>;
    setup: import("yup/lib/number").RequiredNumberSchema<number, Record<string, any>>;
}>>>;
export { RatePostSchema };
